Subject: bug#13832: Tests fail because make runs with more than one jobs

From: Stefano Lattarini <[email-masked]>
Date: Tue, 05 Mar 2013 16:27:17 +0100

tags 13832 + moreinfo
severity 13832 minor
stop

Hi Joshua, sorry for the delay.

On 02/27/2013 10:07 AM, Joshua C. wrote:
> In the last couple of days I encountered a number of different tests
> that reported a failure with ‘make check’. However in order to save
> some time I ran ‘make –j4 check’ and this saved me about 75% of the
> check time (~16min compared to ~62min for ‘make –j1 check’). The
> reportedly failed tests passed without errors when tested with ‘make
> –j1 check’. This makes me believe that ‘make’ doesn’t like to be run
> as a server.
>
That is weird, I routinely run the tests with high parallelism myself
(even with "make -j16"), and have never encountered such an issue.

Can you please send us more details about your system, as well as the
content of the file 'test-suite.log' left behind after the testsuite
run?

> My proposition is: if a test fails for some reason,
>
They are not expected to fail.  So we should work out the underlying
reason for the problem, and fix it.

> can we automatically re-run it with passing ‘-j1’ to make?
>
> If it still fails then count the result as a failure, if not – as a
> success. Can someone take a look at it tries to implement it? I’m
> not that good at experimenting with make-targets.
> 
> Tested with:
> 
> automake: git a5ed87e7944deaea33914230e3d67ff08eb18382
> autoconf: git 9e087dd343b67ac58a7f54e08335ac62fc33ed53
> make: git 4baf9ab4564447355b5748d1375959e817771d17
> 
> Failing tests with ‘make –j4 check’ (these pass fine with ‘make –j1 check’)
> 
> t/objc-megademo.sh
> t/ar-lib4.sh
> 
> 
> --joshua
> 
> 

Regards,
  Stefano